import eais_pb2
import os

analysis_dir = os.path.join(os.path.dirname(os.path.abspath(__file__)), 'analysis')
models_dir = os.path.join(os.path.dirname(os.path.abspath(__file__)), 'models')
data_dir = os.path.join(os.path.dirname(os.path.abspath(__file__)), 'data')
def save_chunks_to_file(chunks, filename):
    with open(filename, 'wb') as f:
        for chunk in chunks:
            f.write(chunk.data)


def get_file_chunks(filename,
                    CHUNK_SIZE = 1024 * 1024):

    with open(filename, 'rb') as f:
        while True:
            piece = f.read(CHUNK_SIZE);
            if len(piece) == 0:
                return
            yield eais_pb2.Chunk(data=piece)

